
Sprint-10 - Task #1918

خدمة فتح ملف

10/03/2019 01:52 PM - Yazan Awad

Status: Closed Start date: 10/03/2019

Priority: Normal Due date:  

Assignee: Yazan Awad % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result:  

Severity: Normal Environment: QA

Category: Intranet Transaction Number:  

Sub-Category:  Browser:  

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

Basic Information Tab

--> Civil Number should be 12 Numbers

--> Male options differs than the female options

--> if the user selected the option "شيخوخة" the date must be 60 years or above

--> if the user selected the option "ربات بيوت" the date must be 55 years or above

--> if the user selected the option "طلبة يدرسون بالخارج" the date must be 26 years or above

--> if the user selected the option "اسر طلبة" the date must be 26 years or above

--> if the Checkbox "Minors Affairs Authority" is selected, The Section "بيانات الحساب البنكي" is in read mode

Address Details tab

--> Address Automatic number only takes numbers

--> When Selecting the "Region", the "Unit" field is filled automatically

Case Details

--> Number of Family Members counter depends on the rows that is located in the table below

--> Home Type displays hidden fields 

--> If the user selects "ربات بيوت" or "كويتيات متزوجات من غير كويتي" fields will be displayed in t

his section (Husband Name, Husband civil number and Husband Nationality)

 

--> If the user selects "ربات بيوت" the option "هيئة اسكان" will not be displayed from the home typ

e field

 

--> If the user selects "ربات بيوت" the field "Mortgage Loan" will not be displayed

 

--> If the user selects "ربات بيوت" the field "Rent allowance" will not be displayed
--> you cannot add a row to the table when selecting "ربات بيوت" (add will be disabled)

--> if you select any other option rather than the option "ربات بيوت" the option "هيئة اسكان" will be displayed.

--> if the user selects the option "هيئة اسكان" the following fields will appear: 

--> Organization account number

 

--> Organization Installment

 

--> Installment expiration date

 

--> if the user selects the options "شعبي\فيلا" or "سكن خاص\فيلا" from the "Home Status" the following fields will be filled automatically

with the following fields:

Organization Installment = 60 (Disabled)

Installment expiration date  = After 30 years (Disabled)

Organization account number is required

--> if the user selects the options "شعبي\شقة" or "سكن خاص\شقة" from the "Home Status" the following fields will be filled automatically

with the following fields:

Organization Installment = 50  (Disabled)

Installment expiration date  = After 30 years (Disabled)

Organization account number is required

--> If the user selects the option "اسر طلبة" the "Educational Status" cannot be less than "ثانوي"

--> "Income Details" action will be enabled after filling "قيمة الدخل"

--> if the user selects "إيجار" the field "Rent allowance" will be displayed holding the value 150.

--> If the user select any other option than "إيجار" the field "Mortgage Loan" will be displayed.

--> if the user selects "لا يوجد" in the "Mortgage Loan" field, no new fields will be displayed.

--> if the user selects "يوجد" in the "Mortgage Loan"  field, new fields will be displayed:

- Loan Code

 

- Loan Account Number

 

- Loan Allowance  =  20 (Read Only)

 

- Loan Expiry Date = 30 Years (Read Only)

 

--> Only One "رب أسرة" should be in the table
--> Civil Number should be unique in the table

--> "Delete" action is not displayed on the row of the creator

--> The Checkbox "Underage" will be checked if the age is less than 21

--> The File Creator should be the Oldest one in the table.

--> Special Cases that can be approved if the wife is older than her husband:

أسر طلبة <--

 

تائبين <--

 

مرضى <--

 

أسر مسجونين <--

 

مفرج عنهم <--

 

طلبة يدرسون بالخارج <--

 

--> Only one wife per File

--> “Case Details Page” must order by birth date from the oldest to the youngest except the file owner , should be the first and if there

is a wife it should be the second one.

Exchange Data Tab

--> The Bank fields are connected together, f any value is incorrect a validation message will be displayed.

--> The Branch will always have the same value "المركز الرئيسي"

Contact Information Tab

--> At least One entry should be added to the table.

History

#1 - 10/14/2019 04:48 PM - Yazan Awad

- Tracker changed from Bug to Task

#2 - 12/08/2019 03:43 PM - Yazan Awad

- Project changed from MOSA Backlog to Sprint-8

#3 - 01/08/2020 10:39 AM - Yazan Awad

- Project changed from Sprint-8 to Sprint-10

#4 - 01/20/2020 09:48 PM - Yazan Awad

- Description updated

#5 - 01/20/2020 09:58 PM - Yazan Awad
- Status changed from Open to Closed

- Assignee changed from Rahmeh Al Naimat to Yazan Awad

- % Done changed from 0 to 100

This task can be closed as completed based on the requirements provided by the Family care team, thank you.
